{{- if .Values.promtail.enabled }}
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: promtail-certificate
  namespace: {{ .Values.namespaces.baseNamespace }}
spec:
  secretName: {{ .Values.promtail.certificates.secretName }}
  issuerRef:
    kind: ClusterIssuer
    name: local-issuer
  dnsNames:
    - {{ include "eurodat.promtail.service.name" . }}
  privateKey:
    rotationPolicy: Always
  subject:
    organizations:
      - eurodat
  {{- end}}
